#!/bin/sh
#set -x
cd /tmp
rm -rf /tmp/logs > /dev/null 2>&1
mkdir /tmp/logs
dmesg > /tmp/logs/dmesg.out 2>&1
lsmod > /tmp/logs/lsmod.out 2>&1
lsusb > /tmp/logs/lsusb.out 2>&1
lspci > /tmp/logs/lspci.out 2>&1
uname -a > /tmp/logs/uname.out 2>&1
/_config/bin/detect_modules.sh > /tmp/logs/det_mod.out 2>&1
cp /film/*.log /tmp/logs/

cp /install.log /tmp/logs/
cp /_config/update/update.log /tmp/logs/
cp /etc/vdr.d/conf/vdr /tmp/logs/
cp /etc/X11/xorg.conf /tmp/logs/
cp /etc/vdr/plugins/admin/admin.conf /tmp/logs/
cp -r /log/freevo /tmp/logs/
cp /log/X* /tmp/logs/

for i in /var/log/everything/* ; do cp $i /tmp/logs/$(echo $i|sed -e "s/.*\///"| tr -d ":")  ; done
DT=$(date +%m%d%H%M)
tar -czvf g2v_log_$DT.tgz logs
TARGET=$( mount | grep -m 1 " /media/" | cut -f 3 -d " ")
if [ "$TARGET" != "" ] && [ -d $TARGET ] ; then
   cp -f /tmp/g2v_log_$DT.tgz $TARGET/
   sleep 3
   umount $TARGET
   svdrpsend.pl MESG "/tmp/g2v_log_$DT.tgz wurde nach $TARGET kopiert"
else   
   svdrpsend.pl MESG "/tmp/g2v_log_$DT.tgz wurde erstellt"
fi   
