#!/bin/sh
cd /usr/local/src/VDR
CHANGED=0

if [ "$(grep "tfhasLiveBuf.*12" timers.h)" != "" ] ; then
   sed -i timers.h -e "s/tfhasLiveBuf.*12/tfhasLiveBuf= 0x0010/"
   CHANGED=1
fi   

[ "$CHANGED" = "1" ] && make

if [ "$(patch -f --dry-run /usr/local/src/VDR/PLUGINS/src/reelchannelscan/channelscan.c < /_config/update/patches/up07.vdrplg-reelchannelscan.diff | grep FAILED)" = "" ] ; then
   cd /usr/local/src/VDR/PLUGINS/src/reelchannelscan
   patch -f channelscan.c < /_config/update/patches/up07.vdrplg-reelchannelscan.diff
   make all
   CHANGED=1
fi   

if [ "$(patch -f --dry-run /usr/local/src/VDR/PLUGINS/src/vcd/Makefile < /_config/update/patches/up07.vdrplg-vcd.diff | grep FAILED)" = "" ] ; then
   cd /usr/local/src/VDR/PLUGINS/src/vcd
   patch -f Makefile < /_config/update/patches/up07.vdrplg-vcd.diff
   make all
   CHANGED=1
fi   

if [ "$(patch -f --dry-run /usr/local/src/VDR/PLUGINS/src/skinenigmang/enigma.c < /_config/update/patches/up07.vdrplg-skinenigmang.diff | grep FAILED)" = "" ] ; then
   cd /usr/local/src/VDR/PLUGINS/src/skinenigmang
   patch -f enigma.c < /_config/update/patches/up07.vdrplg-skinenigmang.diff
   make all
   CHANGED=1
fi   
[ "$CHANGED" = "1" ] && /_config/bin/instvdr.sh

sed -i /etc/samba/smb.conf -e "s/^\[pics\]/[pictures]/"
[ "$(grep "^/film" /etc/exports)" = "" ] &&  echo "/film     *(rw,no_root_squash,sync)" >> /etc/exports
[ "$(grep "^Burn-Dateien" /etc/vdr/commands/system)" = "" ] && echo "Burn-Dateien loeschen?        : screen -dm sh -c \"rm -f /film/*.iso /film/*.log\""
   

